# Alert.SendableAlerts
declaration: package: swervelib.telemetry, class: Alert, class: SendableAlerts

Package swervelib.telemetry

# Class Alert.SendableAlerts

java.lang.Object
swervelib.telemetry.Alert.SendableAlerts

All Implemented Interfaces:
  `edu.wpi.first.util.sendable.Sendable`

Enclosing class:
  Alert

private static class Alert.SendableAlerts extends Object implements edu.wpi.first.util.sendable.Sendable
Sendable alert for advantage scope.

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<Alert>`
`alerts`
Alert list for sendable.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SendableAlerts()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getStrings(Alert.AlertType type)`
Get alerts based off of type.
`void`
`initSendable(edu.wpi.first.util.sendable.SendableBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### alerts

public final List<Alert> alerts
Alert list for sendable.

## Constructor Details

### SendableAlerts

private SendableAlerts()

## Method Details

### getStrings

public String[] getStrings(Alert.AlertType type)
Get alerts based off of type.

Parameters:
  `type` - Type of alert to fetch.
Returns:
  Active alert strings.

### initSendable

public void initSendable(edu.wpi.first.util.sendable.SendableBuilder builder)

Specified by:
  `initSendable` in interface `edu.wpi.first.util.sendable.Sendable`